<div class="limiter">
  <div class="container-login100">
    <div class="wrap-login100 p-t-85 p-b-20">
      <form (ngSubmit)="submit(form)" #form="ngForm">
        <div class="bg-login d-flex justify-content-center">
          <img src="assets/images/logo.png" class="img-fluid" alt="logo">
        </div>
        <div class="p-5">
          <h4 class="text-center">{{ user.name }}</h4>
          <p class="text-center">Debe cambiar su contraseña</p>
          <div class="row py-3">
            <div class="col-12">
              <div class="form-floating">
                <input [type]="typePassword" name="password" id="floatingPassword" placeholder="Contraseña" [class]="classPassword" required
                       class="form-control" (keyup)="checkPasswordLength(password.value)" #password [disabled]="disabled">
                <label for="floatingPassword">
                  <span>Contraseña</span>
                </label>
                <fa-icon [icon]="faPassword" (click)="togglePassword()"></fa-icon>
              </div>
            </div>
          </div>
          <div class="row py-3">
            <div class="col-12">
              <div class="form-floating">
                <input [type]="typePassword" name="password" id="floatingPass" placeholder="Repite la contraseña" required
                       class="form-control" ngModel (keyup)="checkPassword(password.value, pass.value)" [class]="classPass" #pass [disabled]="disabled">
                <label for="floatingPass">
                  <span>Repite la contraseña</span>
                </label>
                <fa-icon [icon]="faPassword" (click)="togglePassword()"></fa-icon>
              </div>
            </div>
          </div>
          <div class="row py-4 justify-content-center">
            <button class="btn btn-login btn-lg" type="submit" [disabled]="formInvalid">
              <fa-icon [icon]="faSignInAlt"></fa-icon>
              Entrar
            </button>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
